[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.ReadOnly

Is the field read-only

## Declaration

Source position: db.pas line 438

`published property TField.ReadOnly: Boolean read FReadOnly write SetReadOnly;`

## Description

ReadOnly can be set to True to prevent controls of writing data to the field, effectively making it a read-only field. Setting this property to True does not prevent the field from getting a value through code: it is just an indication for GUI controls that the field's value is considered read-only.

## See also

TFieldDef.Attributes |  | Additional attributes of the field.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.